{ config, lib, ... }:
{
    services.burp.server = {
        enable = true;
        dataDirectory = "/data/burp";
        sslKeyPasswordFile = "/secrets/burp_server_ssl_key_password";
        workingDirRecoveryMethod = "resume";
        maxResumeAttempts = 3;
        keep = [ 14 4 6 2 ];
        clients = lib.listToAttrs (map (client: {
            name = client;
            value = {
                passwordFile = "/secrets/burp_client_passwords/${client}";
            };
        }) [
            config.networking.hostName
            "Pullach"
            "Disco"
            "Berthold"
            "Ernesto"
        ]);
        superClients = [
            config.networking.hostName
        ];
        timerArgs = [
            "20h"
            "Mon,Tue,Wed,Thu,Fri,Sat,Sun,00,01,02,03,04,05,06,07,08,17,18,19,20,21,22,23"
        ];
    };
}
